hidden. Sets resolved_by to the current admin and resolved_at to now.Authorization: Bearer ********************curl --location --request PUT 'https://api.msaaq.com/v1/admin/communities/reports/1/approve' \
--header 'Accept: application/json' \
--header 'X-Academy-ID: 1' \
--header 'Authorization: Bearer <token>'{
"data": {
"id": 1,
"reason": "spam",
"note": "Promotional spam content",
"status": "approved",
"reportable_type": "topic",
"reportable": {
"id": 8,
"title": "Buy cheap certificates online!!!",
"body": "Get your certificates without studying!",
"author": {
"id": 20,
"name": "SpamBot123"
},
"community": {
"id": 2,
"name": "Academy General Community",
"slug": "academy-general-community"
},
"created_at": "2025-11-19 08:30:00"
},
"reporter": {
"id": 15,
"name": "Ahmed Al-Rashid"
},
"resolved_by": {
"id": 1,
"name": "Admin User",
"email": "admin@example.com"
},
"resolved_at": "2025-11-20 14:30:00",
"created_at": "2025-11-19 09:00:00"
}
}